Package io.vertx.ext.consul

## Class NodeQueryOptions

- java.lang.Object
- - io.vertx.ext.consul.NodeQueryOptions

-     public class NodeQueryOptions
      extends Object

  Options used to requesting list of nodes
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeQueryOptions()` | Default constructor
    `NodeQueryOptions​(JsonObject json)` | Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlockingQueryOptions` | `getBlockingOptions()` | Get options for blocking query
    `String` | `getNear()` | Get node name for sorting the list in ascending order based on the estimated round trip time from that node.
    `NodeQueryOptions` | `setBlockingOptions​(BlockingQueryOptions options)` | Set options for blocking query
    `NodeQueryOptions` | `setNear​(String near)` | Set node name for sorting the list in ascending order based on the estimated round trip time from that node.
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeQueryOptions

          public NodeQueryOptions()

      Default constructor

    - #### NodeQueryOptions

          public NodeQueryOptions​(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getNear

          public String getNear()

      Get node name for sorting the list in ascending order based on the estimated round trip time from that node.
      Returns:
        the node name

    - #### setNear

          public NodeQueryOptions setNear​(String near)

      Set node name for sorting the list in ascending order based on the estimated round trip time from that node.
      Parameters:
        `near` - the node name
      Returns:
        reference to this, for fluency

    - #### getBlockingOptions

          public BlockingQueryOptions getBlockingOptions()

      Get options for blocking query
      Returns:
        the blocking options

    - #### setBlockingOptions

          public NodeQueryOptions setBlockingOptions​(BlockingQueryOptions options)

      Set options for blocking query
      Parameters:
        `options` - the blocking options
      Returns:
        reference to this, for fluency